// ==UserScript==
// @name         Custom Coloring of Names for Cohost
// @namespace    https://terezi.pyrope.net
// @version      2024-07-10
// @description  looks in profiles for `name-color: `
// @author       mehbark
// @match        https://*.cohost.org/*
// @icon         https://www.google.com/s2/favicons?sz=64&domain=cohost.org
// @grant        none
// ==/UserScript==

const REGEX = /name-color: (rgb\([^()]+\)|[0-9a-fA-F]+)/;

(async function() {
  'use strict';
  const resp = await fetch("https://cohost.org/mehbark");
  if (!resp.ok) return;
  const body = await resp.text();
  console.log(body);
  console.log(body.match(REGEX));
})();
